CVE-2018-14617

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in the Linux kernel through 4.17.10. There is a NULL pointer dereference and panic in hfsplus_lookup() in fs/hfsplus/dir.c when opening a file (that is purportedly a hard link) in an hfs+ filesystem that has malformed catalog data, and is mounted read-only without a metadata directory.

References

http://www.securityfocus.com/bid/104917

https://bugzilla.kernel.org/show_bug.cgi?id=200297

https://lists.debian.org/debian-lts-announce/2018/10/msg00003.html

https://usn.ubuntu.com/3821-1/

https://usn.ubuntu.com/3821-2/

https://usn.ubuntu.com/4094-1/

https://usn.ubuntu.com/4118-1/

https://www.debian.org/security/2018/dsa-4308

https://www.spinics.net/lists/linux-fsdevel/msg130021.html

Details

Source: MITRE

Published: 2018-07-27

Updated: 2019-08-13

Type: CWE-476

Risk Information

CVSS v2

Base Score: 7.1

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 8.6

Severity: HIGH

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Tenable Plugins

View all (19 total)

IDNameProductFamilySeverity
132134EulerOS 2.0 SP3 : kernel (EulerOS-SA-2019-2599)NessusHuawei Local Security Checks
high
128478Ubuntu 16.04 LTS / 18.04 LTS : linux-aws vulnerabilities (USN-4118-1)NessusUbuntu Local Security Checks
critical
127889Ubuntu 16.04 LTS / 18.04 LTS : Linux kernel vulnerabilities (USN-4094-1)NessusUbuntu Local Security Checks
high
124977EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1524)NessusHuawei Local Security Checks
high
123329openSUSE Security Update : the Linux Kernel (openSUSE-2019-769)NessusSuSE Local Security Checks
high
121208SUSE SLES12 Security Update : kernel (SUSE-SU-2019:0095-1)NessusSuSE Local Security Checks
high
120118SUSE SLED15 / SLES15 Security Update : kernel (SUSE-SU-2018:2980-1)NessusSuSE Local Security Checks
high
118972Ubuntu 14.04 LTS : Linux kernel (Xenial HWE) vulnerabilities (USN-3821-2)NessusUbuntu Local Security Checks
medium
118971Ubuntu 16.04 LTS : Linux kernel vulnerabilities (USN-3821-1)NessusUbuntu Local Security Checks
medium
118747SUSE SLES11 Security Update : kernel (SUSE-SU-2018:3618-1)NessusSuSE Local Security Checks
high
118194openSUSE Security Update : the Linux Kernel (openSUSE-2018-1184)NessusSuSE Local Security Checks
high
118034SUSE SLES12 Security Update : kernel (SUSE-SU-2018:3084-1)NessusSuSE Local Security Checks
high
118033SUSE SLES12 Security Update : kernel (SUSE-SU-2018:3083-1)NessusSuSE Local Security Checks
high
117988openSUSE Security Update : the Linux Kernel (openSUSE-2018-1140)NessusSuSE Local Security Checks
high
117933SUSE SLED12 / SLES12 Security Update : kernel (SUSE-SU-2018:3003-1)NessusSuSE Local Security Checks
high
117908Debian DLA-1531-1 : linux-4.9 security updateNessusDebian Local Security Checks
high
117862Debian DSA-4308-1 : linux - security updateNessusDebian Local Security Checks
high
117824SUSE SLES12 Security Update : kernel (SUSE-SU-2018:2908-1)NessusSuSE Local Security Checks
high
117820SUSE SLES11 Security Update : kernel (SUSE-SU-2018:2879-1)NessusSuSE Local Security Checks
high